Bug 109151 - Undo actions are not grouped when deleting with Track Changes set
Summary: Undo actions are not grouped when deleting with Track Changes set
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: Track-Changes Undo-Redo
  Show dependency treegraph
 
Reported: 2017-07-17 04:40 UTC by Rosemary Sebastian
Modified: 2018-08-20 07:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test with LO 3.3 (221.92 KB, application/pdf)
2017-07-26 08:11 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rosemary Sebastian 2017-07-17 04:40:42 UTC
Description:
If Track Changes is set, deleting a word by continuous backspaces or deletes, results in separate undo actions for each letter.

Steps to Reproduce:
1. Open a Writer document.
2. Insert a word or a few words, say "Hello World".
3. Turn on Track Changes
4. Delete a word, say "World", by hitting Backspace for each letter.
5. Now pressing Ctrl-Z only restores the last letter, in this case, "W", instead of the whole word.

Actual Results:  
A new undo action is added for each letter.

Expected Results:
The undo actions should be grouped to form a single undo action.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 Timur 2017-07-25 10:02:52 UTC
Since you changed to Assigned and confirmed the bug yourself, I change back to Needinfo. 
Why do you think it's a bug? 
If we delete letter by letter, then Undo restores letter by letter. 
If we delete word by word, then Undo restores word by word. 
Looks logical. MSO works the same.
Comment 2 Rosemary Sebastian 2017-07-25 12:20:17 UTC
So I set the importance as "medium enhancement". Does that solve the problem?
Comment 3 Timur 2017-07-25 17:37:04 UTC
It's not importance that was my question, but why do you think that actual results are wrong. 
On a second thought, you may be right. There's a single reject action and undo action could be single. As it was before like in OO and LO 3.3, looks like regression all the way from 3.4. 
I set back to Assigned.
Comment 4 Rosemary Sebastian 2017-07-26 07:35:11 UTC
This bug report is about using the same grouping mechanism for delete undo actions irrespective of whether Track Changes is set or not set. Are you sure this is a regression?
Comment 5 Timur 2017-07-26 08:11:33 UTC
Created attachment 134864 [details]
Test with LO 3.3

Looks like regression because it worked as expected with OO and LO 3.3, as attached.
Comment 6 Rosemary Sebastian 2017-07-28 07:25:04 UTC Comment hidden (obsolete)
Comment 7 Rosemary Sebastian 2017-08-02 08:06:30 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2018-08-19 02:37:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug